Package com.sas.metadata.remote

# Interface ConditionActionSet

All Superinterfaces:
  `CMetadata`, `MdObjectBase`, `MdObjectBaseUtil`, `MdObjectBaseXML`, `PrimaryType`, `Remote`, `Root`

public interface ConditionActionSet extends PrimaryType
A set that contains the condition that must be met and the set of actions to be performed.

Attributes of ConditionActionSet are:

- `UniqueIdentifier`
- `ConditionActionSetType`
- `InstanceVersion`

Associations of ConditionActionSet are:

- `Actions`
- `PrototypeConditionActionSet`
- `AssociatedCondition`
- `AssociatedTransformation`
- `UsedByConditionActionSets`

## Usage

To create an instance of this ConditionActionSet, use the `factory` create methods.
Example: create a ConditionActionSet with name "ConditionActionSet_Object", in repository "AAAAAAAA".

     // create a store to contain your objects for this change. If you do not have an existing object
     // or store to use.  You may obtain the store from another object by using Object.getObjectStore().
     MdFactory factory; //where "factory" is a valid MdFactory instance
     MdObjectStore objectStore = factory.createObjectStore();
     ConditionActionSet myObject = (ConditionActionSet) factory.createComplexMetadataObject(objectStore, "ConditionActionSet_Object", MetadataObjects.CONDITIONACTIONSET, "AAAAAAAA");
     myObject.updateMetadataAll();  // Write object to server
     objectStore.dispose();  // dispose of the object store if it is no longer needed

## Behavior

- Attributes and associations for this object can be retrieved by using the methods in `MdOMIUtil`.
- When changes are made to the object, either by setting an attribute or adding objects to a particular association, they can be persisted to the metadata server with the `updateMetadataAll` method.
- If an object needs to be deleted, the `delete` method can be used. This will flag the object as being deleted on the client, and will require an update call to persist the change to the server.

## Dependencies

This class depends on objects being contained in an MdObjectStore. Object stores should be disposed of when they are no longer needed as this will help clean up memory. Disposing an object store will dispose of all objects contained within that store.

Since:
  9.0

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ASSOCIATION_ACTIONS_NAME`
  Constant used for the name of the Actions association.
  `static final String`
  `ASSOCIATION_ASSOCIATEDCONDITION_NAME`
  Constant used for the name of the AssociatedCondition association.
  `static final String`
  `ASSOCIATION_ASSOCIATEDTRANSFORMATION_NAME`
  Constant used for the name of the AssociatedTransformation association.
  `static final String`
  `ASSOCIATION_PROTOTYPECONDITIONACTIONSET_NAME`
  Constant used for the name of the PrototypeConditionActionSet association.
  `static final String`
  `ASSOCIATION_USEDBYCONDITIONACTIONSETS_NAME`
  Constant used for the name of the UsedByConditionActionSets association.
  `static final String`
  `ATTRIBUTE_CONDITIONACTIONSETTYPE_NAME`
  Constant used for the name of the ConditionActionSetType attribute.
  `static final String`
  `ATTRIBUTE_INSTANCEVERSION_NAME`
  Constant used for the name of the InstanceVersion attribute.
  `static final String`
  `ATTRIBUTE_UNIQUEIDENTIFIER_NAME`
  Constant used for the name of the UniqueIdentifier attribute.

  ### Fields inherited from interface com.sas.metadata.remote.MdObjectBase

  `ATTRIBUTE_DESC_NAME, ATTRIBUTE_ID_NAME, ATTRIBUTE_METADATACREATED_NAME, ATTRIBUTE_METADATAUPDATED_NAME, ATTRIBUTE_NAME_NAME`

  ### Fields inherited from interface com.sas.metadata.remote.PrimaryType

  `ASSOCIATION_FAVORITESCONTAINERS_NAME, ATTRIBUTE_ISHIDDEN_NAME, ATTRIBUTE_PUBLICTYPE_NAME`

  ### Fields inherited from interface com.sas.metadata.remote.Root

  `ASSOCIATION_ACCESSCONTROLS_NAME, ASSOCIATION_CHANGES_NAME, ASSOCIATION_CUSTOMASSOCIATIONS_NAME, ASSOCIATION_DOCUMENTS_NAME, ASSOCIATION_EXTENSIONS_NAME, ASSOCIATION_EXTERNALIDENTITIES_NAME, ASSOCIATION_GROUPS_NAME, ASSOCIATION_IMPLEMENTORS_NAME, ASSOCIATION_KEYWORDS_NAME, ASSOCIATION_LOCALIZEDATTRIBUTES_NAME, ASSOCIATION_NOTES_NAME, ASSOCIATION_PRIMARYPROPERTYGROUP_NAME, ASSOCIATION_PROMPTS_NAME, ASSOCIATION_PROPERTIES_NAME, ASSOCIATION_PROPERTYSETS_NAME, ASSOCIATION_REFERENCEDOBJECTS_NAME, ASSOCIATION_RESPONSIBLEPARTIES_NAME, ASSOCIATION_SOURCETRANSFORMATIONS_NAME, ASSOCIATION_SPECSOURCETRANSFORMATIONS_NAME, ASSOCIATION_SPECTARGETTRANSFORMATIONS_NAME, ASSOCIATION_TARGETTRANSFORMATIONS_NAME, ASSOCIATION_TIMESTAMPS_NAME, ASSOCIATION_TREES_NAME, ASSOCIATION_TSOBJECTNAMESPACE_NAME, ASSOCIATION_USEDBYPROTOTYPES_NAME, ASSOCIATION_USINGPROTOTYPE_NAME, ASSOCIATION_VARIABLES_NAME, ATTRIBUTE_CHANGESTATE_NAME, ATTRIBUTE_LOCKEDBY_NAME, ATTRIBUTE_USAGEVERSION_NAME`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AssociationList`
  `getActions()`
  Gets the AssociationList of `Actions`
  `AssociationList`
  `getActions(boolean fGoToServer)`
  Gets the Associationlist of `Actions`
  `Condition`
  `getAssociatedCondition()`
  Gets the `Condition` for `AssociatedCondition`
  `AssociationList`
  `getAssociatedConditions()`
  Gets the Association list of `AssociatedConditions`
  `AssociationList`
  `getAssociatedConditions(boolean fGoToServer)`
  Gets the Associationlist of `AssociatedConditions`
  `AbstractTransformation`
  `getAssociatedTransformation()`
  Gets the `AbstractTransformation` for `AssociatedTransformation`
  `AssociationList`
  `getAssociatedTransformations()`
  Gets the Association list of `AssociatedTransformations`
  `AssociationList`
  `getAssociatedTransformations(boolean fGoToServer)`
  Gets the Associationlist of `AssociatedTransformations`
  `String`
  `getConditionActionSetType()`
  Gets the `String` value of `ConditionActionSetType`
  `int`
  `getConditionActionSetTypeMaxLength()`
  Gets the maximum length of `ConditionActionSetType`
  `int`
  `getConditionActionSetTypeState()`
  Gets the Metadata State of `ConditionActionSetType`
  `int`
  `getInstanceVersion()`
  Gets the `int` value of `InstanceVersion`
  `int`
  `getInstanceVersionState()`
  Gets the Metadata State of `InstanceVersion`
  `ConditionActionSet`
  `getPrototypeConditionActionSet()`
  Gets the `ConditionActionSet` for `PrototypeConditionActionSet`
  `AssociationList`
  `getPrototypeConditionActionSets()`
  Gets the AssociationList of `PrototypeConditionActionSets`
  `AssociationList`
  `getPrototypeConditionActionSets(boolean fGoToServer)`
  Gets the Associationlist of `PrototypeConditionActionSets`
  `String`
  `getUniqueIdentifier()`
  Gets the `String` value of `UniqueIdentifier`
  `int`
  `getUniqueIdentifierMaxLength()`
  Gets the maximum length of `UniqueIdentifier`
  `int`
  `getUniqueIdentifierState()`
  Gets the Metadata State of `UniqueIdentifier`
  `AssociationList`
  `getUsedByConditionActionSets()`
  Gets the Association list of `UsedByConditionActionSets`
  `AssociationList`
  `getUsedByConditionActionSets(boolean fGoToServer)`
  Gets the Associationlist of `UsedByConditionActionSets`
  `void`
  `initializePredObjects()`
  (S) Adds the Associated objects to the predObjects which are:
  `Actions`
  `PrototypeConditionActionSet`
  `void`
  `initializeRequiredObjects()`
  (S) This initializes the Required Objects(Roles) which are:
  `void`
  `setActions(AssociationList list)`
  Sets the `Actions` list to be `list`.
  `void`
  `setActions(AssociationList inObjects, int state)`
  Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList
  `void`
  `setAssociatedCondition(Condition inObject)`
  Sets the `AssociatedConditions` list 0th element to be `inObject`.
  `void`
  `setAssociatedConditions(AssociationList list)`
  Sets the `AssociatedConditions` list to be `list`.
  `void`
  `setAssociatedConditions(AssociationList list, int state)`
  Sets the `AssociatedConditions` list to be `list`.
  `void`
  `setAssociatedTransformation(AbstractTransformation inObject)`
  Sets the `AssociatedTransformations` list 0th element to be `inObject`.
  `void`
  `setAssociatedTransformations(AssociationList list)`
  Sets the `AssociatedTransformations` list to be `list`.
  `void`
  `setAssociatedTransformations(AssociationList list, int state)`
  Sets the `AssociatedTransformations` list to be `list`.
  `void`
  `setConditionActionSetType(String inConditionActionSetType)`
  Sets the `ConditionActionSetType` value and sets the state to MetadataState.LOCAL.
  `void`
  `setConditionActionSetType(String inConditionActionSetType, int state)`
  Sets the `ConditionActionSetType` Metadata State.
  `void`
  `setConditionActionSetTypeState(int state)`
  Sets the Metadata State of `ConditionActionSetType`.
  `void`
  `setInstanceVersion(int inInstanceVersion)`
  Sets the `InstanceVersion` value and sets the state to MetadataState.LOCAL.
  `void`
  `setInstanceVersion(int inInstanceVersion, int state)`
  Sets the `InstanceVersion` Metadata State.
  `void`
  `setInstanceVersion(String inInstanceVersion)`
  Sets the `InstanceVersion` value and sets the state to MetadataState.LOCAL.
  `void`
  `setInstanceVersion(String inInstanceVersion, int state)`
  Sets the `InstanceVersion` value and Metadata State.
  `void`
  `setInstanceVersionState(int state)`
  Sets the Metadata State of `InstanceVersion`.
  `void`
  `setPrototypeConditionActionSet(ConditionActionSet inObject)`
  Sets the `PrototypeConditionActionSets` list 0th element to be `inObject`.
  `void`
  `setPrototypeConditionActionSets(AssociationList list)`
  Sets the `PrototypeConditionActionSets` list to be `list`.
  `void`
  `setPrototypeConditionActionSets(AssociationList list, int state)`
  Sets the `PrototypeConditionActionSets` list to be `list`.
  `void`
  `setUniqueIdentifier(String inUniqueIdentifier)`
  Sets the `UniqueIdentifier` value and sets the state to MetadataState.LOCAL.
  `void`
  `setUniqueIdentifier(String inUniqueIdentifier, int state)`
  Sets the `UniqueIdentifier` Metadata State.
  `void`
  `setUniqueIdentifierState(int state)`
  Sets the Metadata State of `UniqueIdentifier`.
  `void`
  `setUsedByConditionActionSets(AssociationList list)`
  Sets the `UsedByConditionActionSets` list to be `list`.
  `void`
  `setUsedByConditionActionSets(AssociationList inObjects, int state)`
  Sets the entire UsedByConditionActionSets list to match the passed in AssociationList, sets the state of the UsedByConditionActionSets

  ### Methods inherited from interface com.sas.metadata.remote.MdObjectBase

  `addElementToChangeList, clearChangeList, getChangeList, getCMetadataType, getDesc, getDescMaxLength, getDescState, getFQID, getId, getIdState, getMetadataCreated, getMetadataCreatedState, getMetadataUpdated, getMetadataUpdatedState, getName, getNameMaxLength, getNameState, getObjectStore, getPredAssociations, getRepositoryID, getRequiredAssociations, getState, isAssociationRequired, isNewObject, isPredAssociation, removeElementFromChangeList, resetObject, resetState, resetStates, setCMetadataType, setDesc, setDesc, setDescState, setFQID, setFQID, setId, setId, setIdState, setMetadataCreated, setMetadataCreated, setMetadataCreatedState, setMetadataUpdated, setMetadataUpdated, setMetadataUpdatedState, setName, setName, setNameState, setObjectStore, setState`

  ### Methods inherited from interface com.sas.metadata.remote.MdObjectBaseUtil

  `addMdObjectListener, delete, dispose, fireMdObjectModified, getAssociatedObjects, getAssociatedObjects, getAssociatedObjects, getAssociationNames, getAssocs, getAssocsWA, getAttributeNames, getAttrs, getAttrsStates, getAuthorizationUtil, getChangeManagementState, getChgMgtExternalIdentityImportType, getClientSideOnlyObject, getMdObjectAssociation, getPopulatedAssocs, getUpdatedAttrs, getViewList, isCheckedOut, isLocked, objectModified, removeMdObjectListener, setAttrs, setChangeManagementTargetRepository, setChgMgtExternalIdentityImportType, setClientSideOnlyObject, setMdObjectAssociation, touch, updateAssnsIds`

  ### Methods inherited from interface com.sas.metadata.remote.MdObjectBaseXML

  `closeUpdateMetadataXML, createEmptyXML, createObjectRefreshXML, createObjectXML, createObjectXML, createUpdateAssociationXML, createUpdateAssociationXML, createUpdateSimpleXML, doCreateUpdateXML, getUpdateSimpleSubstring, updateMetadataAll`

  ### Methods inherited from interface com.sas.metadata.remote.PrimaryType

  `getFavoritesContainers, getFavoritesContainers, getIsHidden, getIsHiddenState, getPublicType, getPublicTypeMaxLength, getPublicTypeState, setFavoritesContainers, setFavoritesContainers, setIsHidden, setIsHidden, setIsHidden, setIsHidden, setIsHiddenState, setPublicType, setPublicType, setPublicTypeState`

  ### Methods inherited from interface com.sas.metadata.remote.Root

  `getAccessControls, getAccessControls, getChanges, getChanges, getChangeState, getChangeStateMaxLength, getChangeStateState, getCustomAssociations, getCustomAssociations, getDocuments, getDocuments, getExtensions, getExtensions, getExternalIdentities, getExternalIdentities, getGroups, getGroups, getImplementors, getImplementors, getKeywords, getKeywords, getLocalizedAttributes, getLocalizedAttributes, getLockedBy, getLockedByMaxLength, getLockedByState, getNotes, getNotes, getPrimaryPropertyGroup, getPrimaryPropertyGroups, getPrimaryPropertyGroups, getPrompts, getPrompts, getProperties, getProperties, getPropertySets, getPropertySets, getReferencedObjects, getReferencedObjects, getResponsibleParties, getResponsibleParties, getSourceTransformations, getSourceTransformations, getSpecSourceTransformations, getSpecSourceTransformations, getSpecTargetTransformations, getSpecTargetTransformations, getTargetTransformations, getTargetTransformations, getTimestamps, getTimestamps, getTrees, getTrees, getTSObjectNamespace, getTSObjectNamespaces, getTSObjectNamespaces, getUsageVersion, getUsageVersionState, getUsedByPrototypes, getUsedByPrototypes, getUsingPrototype, getUsingPrototypes, getUsingPrototypes, getVariables, getVariables, setAccessControls, setAccessControls, setChanges, setChanges, setChangeState, setChangeState, setChangeStateState, setCustomAssociations, setCustomAssociations, setDocuments, setDocuments, setExtensions, setExtensions, setExternalIdentities, setExternalIdentities, setGroups, setGroups, setImplementors, setImplementors, setKeywords, setKeywords, setLocalizedAttributes, setLocalizedAttributes, setLockedBy, setLockedBy, setLockedByState, setNotes, setNotes, setPrimaryPropertyGroup, setPrimaryPropertyGroups, setPrimaryPropertyGroups, setPrompts, setPrompts, setProperties, setProperties, setPropertySets, setPropertySets, setReferencedObjects, setReferencedObjects, setResponsibleParties, setResponsibleParties, setSourceTransformations, setSourceTransformations, setSpecSourceTransformations, setSpecSourceTransformations, setSpecTargetTransformations, setSpecTargetTransformations, setTargetTransformations, setTargetTransformations, setTimestamps, setTimestamps, setTrees, setTrees, setTSObjectNamespace, setTSObjectNamespaces, setTSObjectNamespaces, setUsageVersion, setUsageVersion, setUsageVersion, setUsageVersion, setUsageVersionState, setUsedByPrototypes, setUsedByPrototypes, setUsingPrototype, setUsingPrototypes, setUsingPrototypes, setVariables, setVariables`

- ## Field Details

  - ### ATTRIBUTE_UNIQUEIDENTIFIER_NAME

    static final String ATTRIBUTE_UNIQUEIDENTIFIER_NAME
    Constant used for the name of the UniqueIdentifier attribute.

    UniqueIdentifier: The unique identifier for this condition action set.

    See Also:
      - Constant Field Values

  - ### ATTRIBUTE_CONDITIONACTIONSETTYPE_NAME

    static final String ATTRIBUTE_CONDITIONACTIONSETTYPE_NAME
    Constant used for the name of the ConditionActionSetType attribute.

    ConditionActionSetType: The type for this condition action set.

    See Also:
      - Constant Field Values

  - ### ATTRIBUTE_INSTANCEVERSION_NAME

    static final String ATTRIBUTE_INSTANCEVERSION_NAME
    Constant used for the name of the InstanceVersion attribute.

    InstanceVersion: Instance version counter - incremented whenever an update is made to the design time objects. If the instance version of the run time object does not match the design time object it is based on, the run time instance will be updated to match the design time instance.

    See Also:
      - Constant Field Values

  - ### ASSOCIATION_ACTIONS_NAME

    static final String ASSOCIATION_ACTIONS_NAME
    Constant used for the name of the Actions association.

    Actions: The actions that are part of this condition action set.

    See Also:
      - Constant Field Values

  - ### ASSOCIATION_PROTOTYPECONDITIONACTIONSET_NAME

    static final String ASSOCIATION_PROTOTYPECONDITIONACTIONSET_NAME
    Constant used for the name of the PrototypeConditionActionSet association.

    PrototypeConditionActionSet: The prototype condition action set used to create the instance of a condition action set used by a job.

    See Also:
      - Constant Field Values

  - ### ASSOCIATION_ASSOCIATEDCONDITION_NAME

    static final String ASSOCIATION_ASSOCIATEDCONDITION_NAME
    Constant used for the name of the AssociatedCondition association.

    AssociatedCondition: The condition associated with this condition action set.

    See Also:
      - Constant Field Values

  - ### ASSOCIATION_ASSOCIATEDTRANSFORMATION_NAME

    static final String ASSOCIATION_ASSOCIATEDTRANSFORMATION_NAME
    Constant used for the name of the AssociatedTransformation association.

    AssociatedTransformation: The associated transformation that uses this condition action set.

    See Also:
      - Constant Field Values

  - ### ASSOCIATION_USEDBYCONDITIONACTIONSETS_NAME

    static final String ASSOCIATION_USEDBYCONDITIONACTIONSETS_NAME
    Constant used for the name of the UsedByConditionActionSets association.

    UsedByConditionActionSets: The condition action sets that are based on the associated prototype condition action set.

    See Also:
      - Constant Field Values

- ## Method Details

  - ### initializeRequiredObjects

    void initializeRequiredObjects() throws RemoteException
    (S) This initializes the Required Objects(Roles) which are:
    Specified by:
      `initializeRequiredObjects` in interface `MdObjectBaseUtil`
    Specified by:
      `initializeRequiredObjects` in interface `PrimaryType`
    Specified by:
      `initializeRequiredObjects` in interface `Root`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### initializePredObjects

    void initializePredObjects() throws RemoteException
    (S) Adds the Associated objects to the predObjects which are:
    `Actions`
    `PrototypeConditionActionSet`
    Specified by:
      `initializePredObjects` in interface `MdObjectBase`
    Specified by:
      `initializePredObjects` in interface `PrimaryType`
    Specified by:
      `initializePredObjects` in interface `Root`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getUniqueIdentifier

    String getUniqueIdentifier() throws RemoteException
    Gets the `String` value of `UniqueIdentifier`
    Returns:
      The `UniqueIdentifier`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getUniqueIdentifierState

    int getUniqueIdentifierState() throws RemoteException
    Gets the Metadata State of `UniqueIdentifier`
    Returns:
      The State.
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getUniqueIdentifierMaxLength

    int getUniqueIdentifierMaxLength() throws RemoteException
    Gets the maximum length of `UniqueIdentifier`
    Returns:
      The max size
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getConditionActionSetType

    String getConditionActionSetType() throws RemoteException
    Gets the `String` value of `ConditionActionSetType`
    Returns:
      The `ConditionActionSetType`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getConditionActionSetTypeState

    int getConditionActionSetTypeState() throws RemoteException
    Gets the Metadata State of `ConditionActionSetType`
    Returns:
      The State.
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getConditionActionSetTypeMaxLength

    int getConditionActionSetTypeMaxLength() throws RemoteException
    Gets the maximum length of `ConditionActionSetType`
    Returns:
      The max size
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getInstanceVersion

    int getInstanceVersion() throws RemoteException
    Gets the `int` value of `InstanceVersion`
    Returns:
      The `InstanceVersion`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getInstanceVersionState

    int getInstanceVersionState() throws RemoteException
    Gets the Metadata State of `InstanceVersion`
    Returns:
      The State.
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getActions

    AssociationList getActions() throws RemoteException, MdException
    Gets the AssociationList of `Actions`
    Returns:
      Returns the AssociationList of `Actions` which can be of type:
      Action
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getPrototypeConditionActionSets

    AssociationList getPrototypeConditionActionSets() throws RemoteException, MdException
    Gets the AssociationList of `PrototypeConditionActionSets`
    Returns:
      Returns the AssociationList of `PrototypeConditionActionSets` which can be of type:
      ConditionActionSet
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException`

  - ### getPrototypeConditionActionSet

    ConditionActionSet getPrototypeConditionActionSet() throws RemoteException, MdException
    Gets the `ConditionActionSet` for `PrototypeConditionActionSet`
    Returns:
      The `ConditionActionSet` ( `null` if not set) of `PrototypeConditionActionSet`which can be of type:
      ConditionActionSet
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getAssociatedConditions

    AssociationList getAssociatedConditions() throws RemoteException, MdException
    Gets the Association list of `AssociatedConditions`
    Returns:
      The AssociationList of `AssociatedConditions` which can be of type:
      Condition
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getAssociatedCondition

    Condition getAssociatedCondition() throws RemoteException, MdException
    Gets the `Condition` for `AssociatedCondition`
    Returns:
      The `Condition` ( `null` if not set ) of `AssociatedCondition` which can be of type:
      Condition
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getAssociatedTransformations

    AssociationList getAssociatedTransformations() throws RemoteException, MdException
    Gets the Association list of `AssociatedTransformations`
    Returns:
      The AssociationList of `AssociatedTransformations` which can be of type:
      AbstractTransformation
      TransformationStep
      SyncStep
      TransformationActivity
      FeatureMap
      ColumnHierarchy
      Transformation
      ClassifierMap
      Select
      Join
      AbstractJob
      Job
      JFJob
      MiningResult
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getAssociatedTransformation

    AbstractTransformation getAssociatedTransformation() throws RemoteException, MdException
    Gets the `AbstractTransformation` for `AssociatedTransformation`
    Returns:
      The `AbstractTransformation` ( `null` if not set ) of `AssociatedTransformation` which can be of type:
      AbstractTransformation
      TransformationStep
      SyncStep
      TransformationActivity
      FeatureMap
      ColumnHierarchy
      Transformation
      ClassifierMap
      Select
      Join
      AbstractJob
      Job
      JFJob
      MiningResult
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getUsedByConditionActionSets

    AssociationList getUsedByConditionActionSets() throws RemoteException, MdException
    Gets the Association list of `UsedByConditionActionSets`
    Returns:
      The AssociationList of `UsedByConditionActionSets` which can be of type:
      ConditionActionSet
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getActions

    AssociationList getActions(boolean fGoToServer) throws RemoteException, MdException
    Gets the Associationlist of `Actions`
    Parameters:
      `fGoToServer` - boolean Get the value from the server.
    Returns:
      Returns the AssociationList of `Actions` which can be of type:
      Action
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getPrototypeConditionActionSets

    AssociationList getPrototypeConditionActionSets(boolean fGoToServer) throws RemoteException, MdException
    Gets the Associationlist of `PrototypeConditionActionSets`
    Parameters:
      `fGoToServer` - boolean Get the value from the server.
    Returns:
      Returns the AssociationList of `PrototypeConditionActionSets` which can be of type:
      ConditionActionSet
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getAssociatedConditions

    AssociationList getAssociatedConditions(boolean fGoToServer) throws RemoteException, MdException
    Gets the Associationlist of `AssociatedConditions`
    Parameters:
      `fGoToServer` - boolean Get the value from the server.
    Returns:
      Returns the `AssociatedConditions` which can be of type:
      Condition
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getAssociatedTransformations

    AssociationList getAssociatedTransformations(boolean fGoToServer) throws RemoteException, MdException
    Gets the Associationlist of `AssociatedTransformations`
    Parameters:
      `fGoToServer` - boolean Get the value from the server.
    Returns:
      Returns the `AssociatedTransformations` which can be of type:
      AbstractTransformation
      TransformationStep
      SyncStep
      TransformationActivity
      FeatureMap
      ColumnHierarchy
      Transformation
      ClassifierMap
      Select
      Join
      AbstractJob
      Job
      JFJob
      MiningResult
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getUsedByConditionActionSets

    AssociationList getUsedByConditionActionSets(boolean fGoToServer) throws RemoteException, MdException
    Gets the Associationlist of `UsedByConditionActionSets`
    Parameters:
      `fGoToServer` - boolean Get the value from the server.
    Returns:
      Returns the `UsedByConditionActionSets` which can be of type:
      ConditionActionSet
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### setUniqueIdentifier

    void setUniqueIdentifier(String inUniqueIdentifier) throws RemoteException
    Sets the `UniqueIdentifier` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inUniqueIdentifier` - String
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setUniqueIdentifier

    void setUniqueIdentifier(String inUniqueIdentifier, int state) throws RemoteException
    Sets the `UniqueIdentifier` Metadata State.
    Parameters:
      `inUniqueIdentifier` - String
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setUniqueIdentifierState

    void setUniqueIdentifierState(int state) throws RemoteException
    Sets the Metadata State of `UniqueIdentifier`.
    Parameters:
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setConditionActionSetType

    void setConditionActionSetType(String inConditionActionSetType) throws RemoteException
    Sets the `ConditionActionSetType` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inConditionActionSetType` - String
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setConditionActionSetType

    void setConditionActionSetType(String inConditionActionSetType, int state) throws RemoteException
    Sets the `ConditionActionSetType` Metadata State.
    Parameters:
      `inConditionActionSetType` - String
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setConditionActionSetTypeState

    void setConditionActionSetTypeState(int state) throws RemoteException
    Sets the Metadata State of `ConditionActionSetType`.
    Parameters:
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setInstanceVersion

    void setInstanceVersion(int inInstanceVersion) throws RemoteException
    Sets the `InstanceVersion` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inInstanceVersion` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setInstanceVersion

    void setInstanceVersion(int inInstanceVersion, int state) throws RemoteException
    Sets the `InstanceVersion` Metadata State.
    Parameters:
      `inInstanceVersion` - int
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setInstanceVersion

    void setInstanceVersion(String inInstanceVersion) throws RemoteException
    Sets the `InstanceVersion` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inInstanceVersion` - String
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setInstanceVersion

    void setInstanceVersion(String inInstanceVersion, int state) throws RemoteException
    Sets the `InstanceVersion` value and Metadata State.
    Parameters:
      `inInstanceVersion` - String
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setInstanceVersionState

    void setInstanceVersionState(int state) throws RemoteException
    Sets the Metadata State of `InstanceVersion`.
    Parameters:
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setActions

    void setActions(AssociationList list) throws RemoteException
    Sets the `Actions` list to be `list`. Objects of which can be of type:
    Action
    Parameters:
      `list` - AssociationList
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setActions

    void setActions(AssociationList inObjects, int state) throws RemoteException
    Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList
    Parameters:
      `inObjects` - AssociationList
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setPrototypeConditionActionSets

    void setPrototypeConditionActionSets(AssociationList list) throws RemoteException
    Sets the `PrototypeConditionActionSets` list to be `list`. Object of which can be of type:
    ConditionActionSet
    Parameters:
      `list` - AssociationList
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setPrototypeConditionActionSets

    void setPrototypeConditionActionSets(AssociationList list, int state) throws RemoteException
    Sets the `PrototypeConditionActionSets` list to be `list`. Object of which can be of type:
    ConditionActionSet
    Parameters:
      `list` - AssociationList
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setPrototypeConditionActionSet

    void setPrototypeConditionActionSet(ConditionActionSet inObject) throws RemoteException
    Sets the `PrototypeConditionActionSets` list 0th element to be `inObject`.
    Parameters:
      `inObject` - ConditionActionSet
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setAssociatedConditions

    void setAssociatedConditions(AssociationList list) throws RemoteException
    Sets the `AssociatedConditions` list to be `list`. Objects of which can be of type:
    Condition
    Parameters:
      `list` - AssociationList
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setAssociatedConditions

    void setAssociatedConditions(AssociationList list, int state) throws RemoteException
    Sets the `AssociatedConditions` list to be `list`. Objects of which can be of type:
    Condition
    Parameters:
      `list` - AssociationList
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setAssociatedCondition

    void setAssociatedCondition(Condition inObject) throws RemoteException
    Sets the `AssociatedConditions` list 0th element to be `inObject`.
    Parameters:
      `inObject` - Condition
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setAssociatedTransformations

    void setAssociatedTransformations(AssociationList list) throws RemoteException
    Sets the `AssociatedTransformations` list to be `list`. Objects of which can be of type:
    AbstractTransformation
    TransformationStep
    SyncStep
    TransformationActivity
    FeatureMap
    ColumnHierarchy
    Transformation
    ClassifierMap
    Select
    Join
    AbstractJob
    Job
    JFJob
    MiningResult
    Parameters:
      `list` - AssociationList
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setAssociatedTransformations

    void setAssociatedTransformations(AssociationList list, int state) throws RemoteException
    Sets the `AssociatedTransformations` list to be `list`. Objects of which can be of type:
    AbstractTransformation
    TransformationStep
    SyncStep
    TransformationActivity
    FeatureMap
    ColumnHierarchy
    Transformation
    ClassifierMap
    Select
    Join
    AbstractJob
    Job
    JFJob
    MiningResult
    Parameters:
      `list` - AssociationList
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setAssociatedTransformation

    void setAssociatedTransformation(AbstractTransformation inObject) throws RemoteException
    Sets the `AssociatedTransformations` list 0th element to be `inObject`.
    Parameters:
      `inObject` - AbstractTransformation
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setUsedByConditionActionSets

    void setUsedByConditionActionSets(AssociationList list) throws RemoteException
    Sets the `UsedByConditionActionSets` list to be `list`. Objects of which can be of type:
    ConditionActionSet
    Parameters:
      `list` - AssociationList
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setUsedByConditionActionSets

    void setUsedByConditionActionSets(AssociationList inObjects, int state) throws RemoteException
    Sets the entire UsedByConditionActionSets list to match the passed in AssociationList, sets the state of the UsedByConditionActionSets
    Parameters:
      `inObjects` - AssociationList
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.